commit:     7fdfd97f34314b9fb85bcbadb46efc07b94b67aa
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Mon Feb 10 19:14:46 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 01:36:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fdfd97f

sci-biology/augustus: add 3.5.0

* Add missing dependency on python with tests.
* Wire up unittests.
* Disable test comparing on musl. This follows upstream with non-amd64 and
  non-linux environments.

Bug: https://bugs.gentoo.org/868363
Bug: https://bugs.gentoo.org/873025
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/40521
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-biology/augustus/Manifest              |  1 +
 sci-biology/augustus/augustus-3.5.0.ebuild | 93 ++++++++++++++++++++++++++++++
 2 files changed, 94 insertions(+)

diff --git a/sci-biology/augustus/Manifest b/sci-biology/augustus/Manifest
index 7ddb67b5c888..7bba72327fb5 100644
--- a/sci-biology/augustus/Manifest
+++ b/sci-biology/augustus/Manifest
@@ -1,2 +1,3 @@
 DIST augustus-3.4.0.tar.gz 221652100 BLAKE2B 
dfc8c98107f5a955f688f3d2976ca936faf2ef7004095f6b9d7c1902a36ca5d3c9aef59cab1b82b56cd5c2abc7b67195c5030111ed68557d53128814b1bf6bab
 SHA512 
ca1df1016589f55527a883429edd5024cbc32c1b32036c81f9df5e0967a7d194f5b7a82109e924f380627427d9731caa478e63cad8cd804c01521aed76d8c4a6
+DIST augustus-3.5.0.tar.gz 225918930 BLAKE2B 
26e934f3d3f50d183fb0ee7874352c5ac9af9877eaa40a9a6195ae79cfd9a78a321bd9261e8bd3435b1d4984589d0bdd4e0821ba6600c717d6afd95f511702de
 SHA512 
0869e54b3126b3ab2f6fb2c28ff07b779265a139968e5277352f5230d3c317415324ca61dce4a0cd6c3f1fb5399447ae815bec7732a285ce652cf44e6cd23e5d
 DIST augustus.2.5.5.tar.gz 70826249 BLAKE2B 
3f3f1537c5c614f00298e1835eeb7bbe968987c3e0dee13299e1e26b4abf198d8635a93121b11722d2c90b63ff54cf153c72716d01c3ca033481bb54357b7bcf
 SHA512 
33eb05d5c90200d2fc17026743d3a25e73aa3e217b8546f0bed4c94bcb460597d853377a67896e52e45ead5d736d13ed3b2c91b31fed8216da2920c825e8c20f

diff --git a/sci-biology/augustus/augustus-3.5.0.ebuild 
b/sci-biology/augustus/augustus-3.5.0.ebuild
new file mode 100644
index 000000000000..481476e902c5
--- /dev/null
+++ b/sci-biology/augustus/augustus-3.5.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOCS_BUILDER="doxygen"
+DOCS_CONFIG_NAME="doxygen.conf"
+
+PYTHON_COMPAT=( python3_{12..13} )
+
+inherit docs python-any-r1 toolchain-funcs
+
+DESCRIPTION="Eukaryotic gene predictor"
+HOMEPAGE="https://bioinf.uni-greifswald.de/augustus/";
+SRC_URI="https://github.com/Gaius-Augustus/Augustus/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="Artistic"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-db/sqlite:3
+       dev-db/mysql++:=
+       dev-db/mysql-connector-c:=
+       dev-libs/boost:=[zlib]
+       sci-biology/bamtools:=
+       sci-biology/samtools:0
+       sci-libs/gsl:=
+       sci-libs/htslib:=
+       sci-libs/suitesparse
+       sci-mathematics/lpsolve:=
+       sys-libs/zlib
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       test? (
+               ${PYTHON_DEPS}
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}"/augustus-3.4.0-missing-cstdint.patch
+)
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_compile() {
+       tc-export CC CXX AR
+
+       emake
+
+       # Vendored gtest
+       use test && emake -C src unittest
+
+       docs_compile
+}
+
+src_install() {
+       einstalldocs
+       # from upstream Makefile install:
+       dodir "opt/${P}"
+       cp -a config bin scripts "${ED}/opt/${P}" || die
+       local file
+       for file in bin/*; do
+               dosym "../${P}/${file}" "/opt/${file}"
+       done
+}
+
+src_test() {
+       if use elibc_musl; then
+               # Upstream already does this for non-amd64 and non-linux 
environments
+               # Probably related 
https://github.com/Gaius-Augustus/Augustus/issues/247
+               # bug #873025
+               emake test TEST_COMPARE= TEST_HTML=
+       else
+               emake test
+       fi
+
+       pushd src/unittests >/dev/null || die
+       if use elibc_musl; then
+               # Float issues
+               ./unittests 
--gtest_filter='-CodonEvoTest.CodonEvoRateReadWrite' || die
+       else
+               ./unittests || die
+       fi
+       popd >/dev/null || die
+}

Reply via email to